Groovy 1.7.0

## org.codehaus.groovy.classgen
Class BytecodeExpression

    java.lang.Object
      org.codehaus.groovy.ast.ASTNode
          org.codehaus.groovy.ast.AnnotatedNode
              org.codehaus.groovy.ast.expr.Expression
                  org.codehaus.groovy.classgen.BytecodeExpression

    class BytecodeExpression
    extends Expression

Represents some custom bytecode generation by the compiler

author:
  James Strachan

version:
  $Revision: 10003 $

Field Summary
`static BytecodeExpression` | `NOP`

Constructor Summary
`BytecodeExpression()`

Method Summary
`Expression` | `transformExpression(ExpressionTransformer transformer)`
`void` | `visit(GroovyCodeVisitor visitor)`
`void` | `visit(MethodVisitor mv)`

Methods inherited from class Expression
getType, setType, transformExpression, transformExpressions, transformExpressions

Methods inherited from class AnnotatedNode
addAnnotation, addAnnotations, getAnnotations, getAnnotations, getDeclaringClass, isSynthetic, setDeclaringClass, setSynthetic

Methods inherited from class ASTNode
getColumnNumber, getLastColumnNumber, getLastLineNumber, getLineNumber, getText, setColumnNumber, setLastColumnNumber, setLastLineNumber, setLineNumber, setSourcePosition, visit

Methods inherited from class Object
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Field Detail

### NOP

    static BytecodeExpression NOP

Constructor Detail

### BytecodeExpression

    public BytecodeExpression()

Method Detail

### transformExpression

    public Expression transformExpression(ExpressionTransformer transformer)

### visit

    public void visit(GroovyCodeVisitor visitor)

### visit

    public void visit(MethodVisitor mv)

Copyright © 2003-2009 The Codehaus. All rights reserved.